# Uses of Class
net.shibboleth.shared.net.IPRange

Packages that use IPRange
Package
Description
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.spring.config
Classes supporting Spring configuration activities.
net.shibboleth.utilities.java.support.net
Legacy stubs for compatibility.

## Uses of IPRange in net.shibboleth.shared.net

Methods in net.shibboleth.shared.net that return IPRange
Modifier and Type
Method
Description
`static IPRange`
IPRange.`parseCIDRBlock(String cidrBlock)`
Parses a CIDR block definition in to an IP range.

## Uses of IPRange in net.shibboleth.shared.security.impl

Fields in net.shibboleth.shared.security.impl with type parameters of type IPRange
Modifier and Type
Field
Description
`private Collection<IPRange>`
IPRangeAccessControl.`allowedRanges`
List of CIDR blocks allowed to access this servlet.
Method parameters in net.shibboleth.shared.security.impl with type arguments of type IPRange
Modifier and Type
Method
Description
`void`
IPRangeAccessControl.`setAllowedRanges(Collection<IPRange> ranges)`
Set the CIDR address ranges to allow.

## Uses of IPRange in net.shibboleth.shared.spring.config

Methods in net.shibboleth.shared.spring.config that return IPRange
Modifier and Type
Method
Description
`IPRange`
StringToIPRangeConverter.`convert(String source)`

## Uses of IPRange in net.shibboleth.utilities.java.support.net

Subclasses of IPRange in net.shibboleth.utilities.java.support.net
Modifier and Type
Class
Description
`class`
`IPRange`
Deprecated, for removal: This API element is subject to removal in a future version.
Methods in net.shibboleth.utilities.java.support.net that return IPRange
Modifier and Type
Method
Description
`static IPRange`
IPRange.`parseCIDRBlock(String cidrBlock)`
Deprecated, for removal: This API element is subject to removal in a future version.
Parses a CIDR block definition in to an IP range.